import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { HomeComponent } from './components/home/home.component';
import { ArtistsComponent } from './components/artists/artists.component';
import { AlbumsComponent } from './components/albums/albums.component';
import { SearchComponent } from './components/search/search.component';
import { AddsongComponent } from './components/addsong/addsong.component';
import { DownloadsComponent } from './components/downloads/downloads.component';

const routes: Routes = [
  { path: '', component: HomeComponent },
  { path: 'artists/:id', component: ArtistsComponent },
  { path: 'artists', component: ArtistsComponent },
  { path: 'albums/:id', component: AlbumsComponent },
  { path: 'albums', component: AlbumsComponent },
  { path: 'search/:query', component: SearchComponent },
  { path: 'add/song', component: AddsongComponent },
  { path: 'downloads', component: DownloadsComponent }
];

@NgModule({
  imports: [RouterModule.forRoot(routes)],
  exports: [RouterModule]
})
export class AppRoutingModule { }
