import { Component, OnInit } from '@angular/core';
import { faGlobeEurope, faMusic, faCompactDisc, faUsers, faCog, faChevronLeft, faChevronRight } from '@fortawesome/free-solid-svg-icons';
import { Router } from '@angular/router';
import { FormBuilder } from '@angular/forms';
import { NotificationService } from './services/notification.service';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.scss']
})
export class AppComponent implements OnInit {
  navToggled;

  // FontAwesome
  faGlobeEurope = faGlobeEurope;
  faMusic = faMusic;
  faCompactDisc = faCompactDisc;
  faUsers = faUsers;
  faCog = faCog;
  faChevronLeft = faChevronLeft;
  faChevronRight = faChevronRight;

  searchForm = this.fb.group({
    query: ''
  });

  constructor(
    public router: Router,
    private fb: FormBuilder,
    public notification: NotificationService
  ) { }

  ngOnInit() {
    this.navToggled = false;
  }

  toggleNav() {
    this.navToggled = (this.navToggled) ? false : true;
  }

  onSubmit() {
    this.router.navigate([`search/${this.searchForm.value.query}`]);
  }
}
