import { DataService } from '../services/data.service';

/** This class represents one song. */
export class Song {

  // The following list are identical to the items returned from the api.
  id: number;
  name: string;
  artist: number;
  album: number;
  path: string;
  type = 'Song';

  data: DataService;

  constructor(data: any) {
    this.id = data.data.result[0].id;
    this.name = data.data.result[0].name;
    this.artist = data.data.result[0].artist;
    this.album = data.data.result[0].album;
    this.path = data.data.result[0].path;

    this.data = new DataService();
  }

  async getArtist() {
    // tslint:disable-next-line: no-use-before-declare
    return new Artist(await this.data.getArtist(this.artist));
  }

  async getAlbum() {
    // tslint:disable-next-line: no-use-before-declare
    return new Album(await this.data.getAlbum(this.album));
  }

  async getDuration(): Promise<number> {
    const apiData = await this.data.getDuration(this.path);
    return apiData.data.result;
  }
}

/** This class represents one artist */
export class Artist {

  // The following list are identical to the items returned from the api.
  id: number;
  name: string;
  albums: Array<number>;
  songs: Array<number>;
  type = 'Artist';

  constructor(data: any) {
    this.id = data.data.result[0].id;
    this.name = data.data.result[0].name;
    this.albums = data.data.result[0].album;
    this.songs = data.data.result[0].song;
  }

  // There will be more functions here...
}

/** This class represents one album */
export class Album {

  // The following list are identical to the items returned from the api.
  id: number;
  name: string;
  artist: number[];
  image: string;
  song: number[];
  type = 'Album';

  data: DataService;

  constructor(data: any) {
    this.id = data.data.result[0].id;
    this.name = data.data.result[0].name;
    this.artist = data.data.result[0].artist;
    this.image = data.data.result[0].image;
    this.song = data.data.result[0].song;
  }

  // There will be more functions here...

}
