import { Component, OnInit } from '@angular/core';
import { DownloadService } from 'src/app/services/download.service';
import { FormBuilder } from '@angular/forms';

@Component({
  selector: 'app-addsong',
  templateUrl: './addsong.component.html',
  styleUrls: ['./addsong.component.scss']
})
export class AddsongComponent implements OnInit {

  idForm = this.fb.group({
    id: ''
  });

  detailsForm = this.fb.group({
    song: '',
    artist: '',
    path: ''
  });

  currentStep = 1;
  videoInfo;

  constructor(
    private download: DownloadService,
    private fb: FormBuilder
  ) { }

  ngOnInit() { }

  onIdSubmit() {
    this.download.addQueueItem(this.idForm.value.id);
    this.currentStep = 2;
    this.download.getVideoDetails(this.idForm.value.id).then(res => {
      this.videoInfo = res.data.result;
      this.detailsForm.get('song').setValue(this.videoInfo.title);
      this.detailsForm.get('artist').setValue(this.videoInfo.author.name);
      this.detailsForm.get('path').setValue(this.videoInfo.title + '.mp3');
    });
  }

  onDetailsSubmit() {
    console.log(this.detailsForm.value);
    this.download.insertSong(this.detailsForm.value);
  }

}
