import { Component, OnInit } from '@angular/core';
import { faPlay, faPause, faVolumeMute, faVolumeDown, faVolumeUp, faMusic } from '@fortawesome/free-solid-svg-icons';
import { AudioService } from 'src/app/services/audio.service';
import { Song, Artist, Album } from '../../classes/entities';
import { ApiService } from 'src/app/services/api.service';
import { DataService } from 'src/app/services/data.service';

@Component({
  selector: 'app-controls',
  templateUrl: './controls.component.html',
  styleUrls: ['./controls.component.scss']
})
export class ControlsComponent implements OnInit {

  // ? Fontawesome imports
  faPlay = faPlay;
  faPause = faPause;
  faVolumeMute = faVolumeMute;
  faVolumeDown = faVolumeDown;
  faVolumeUp = faVolumeUp;
  faMusic = faMusic;

  Math = Math;
  NaN = NaN;

  currentSong: Song;
  currentArtist: Artist;
  currentAlbum: Album;
  duration: number;

  constructor(
    public audio: AudioService,
    private api: ApiService,
    public data: DataService
  ) { }

  ngOnInit() {
    this.audio.currentSong$.subscribe(async id => {
      this.currentSong = await this.api.getSong(id);
      this.currentArtist = await this.currentSong.getArtist();
      this.currentAlbum = await this.currentSong.getAlbum();
      this.duration = await this.currentSong.getDuration();
    });
  }

}
