import { Component, OnInit } from '@angular/core';
import { DownloadService } from 'src/app/services/download.service';
import { AxiosResponse } from 'axios';
import { ApiData } from 'src/app/services/data.service';
import { DomSanitizer } from '@angular/platform-browser';

@Component({
  selector: 'app-downloads',
  templateUrl: './downloads.component.html',
  styleUrls: ['./downloads.component.scss']
})
export class DownloadsComponent implements OnInit {

  downloadQueue: AxiosResponse<ApiData>;

  constructor(
    public download: DownloadService,
    private sanitizer: DomSanitizer
  ) { }

  ngOnInit() {
    this.getDownloadQueue();
    setInterval(() => {
      this.getDownloadQueue();
    }, 1000);
  }

  getDownloadQueue() {
    this.download.getDownloadQueue().then(res => {
      this.downloadQueue = res;
    });
  }

  getProgress(val) {
    return this.sanitizer.bypassSecurityTrustStyle(`${val}%`);
  }

}
