import { Component, OnInit } from '@angular/core';
import { AudioService } from 'src/app/services/audio.service';
import { Song, Artist } from 'src/app/classes/entities';
import { ApiService } from 'src/app/services/api.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss']
})
export class HomeComponent implements OnInit {

  songs: Promise<Song[]>;

  constructor(
    private api: ApiService,
    public audio: AudioService
  ) { }

  ngOnInit() {
    // Load the first song from the API
    // Removing the async / await from the .then() callback will load the artists async from the songs.
    this.songs = this.api.getSong('all');
  }

}
